********************************************
* This file runs the Monte Carlo exercises *
* reported in Table 1                      *
********************************************



clear
run "/Users/pkline/Desktop/Monte Carlo/oaxaca.ado"
set seed 1234
cap log close
log using "/Users/pkline/Desktop/Monte Carlo/MC.log", replace
 


cap prog drop dgp
prog def dgp, rclass 
syntax , CL(integer)
drop _all
set obs `cl' //# of clusters
gen id=_n
gen c=invttail(6,uniform())
gen c2=invttail(6,uniform())
expand 10 //# of obs per cluster

gen v=invnorm(uniform())
gen D=v+c>0
gen x=4*(invibeta(2,5,uniform())-2/7)+D
gen e=invttail(6,uniform())
gen y = 2 + (1-D)*(2*x) + D*(3*x) + c2 + e

*Oaxaca inference
x_ols y x, bo(D) cluster(id)
test D=1
return scalar reject=r(p)<.05
return scalar se=_se[D]
return scalar b=_b[D]

*OLS inference
x_ols y x, ignore bo(D) cluster(id)
test D=1
return scalar reject2=r(p)<.05
return scalar se2=_se[D]
return scalar b2=_b[D]
end

*dgp

foreach C in 25 50 100 200{
di "Clusters = `C'"
simul "dgp, cl(`C')" b=r(b) b2=r(b2) se=r(se) se2=r(se2) reject=r(reject) reject2=r(reject2), reps(10000)
gen less=se2<se
sum

}
